<?xml version="1.0" encoding="ISO-8859-1"?>

<PropertyList>

  <path>map.ac</path>

  <animation>
    <object-name>fond</object-name>
    <object-name>visses</object-name>
    <object-name>canvasCadre</object-name>
    <object-name>btnL0</object-name>
    <object-name>btnL1</object-name>
    <object-name>btnL2</object-name>
    <object-name>btnL3</object-name>
    <object-name>btnL4</object-name>
    <object-name>btnL5</object-name>
    <object-name>btnR0</object-name>
    <object-name>btnR1</object-name>
    <object-name>btnR2</object-name>
    <object-name>btnR3</object-name>
    <object-name>btnR4</object-name>
    <object-name>btnR5</object-name>
    <object-name>btnR6</object-name>

    <object-name>ModeMap</object-name>
    <object-name>ZoomMoins</object-name>
    <object-name>ZoomPlus</object-name>
    <object-name>vitre</object-name>
  </animation>

  <animation>
    <type>noshadow</type>
    <object-name>fond</object-name>
    <object-name>visses</object-name>
    <object-name>canvasCadre</object-name>
    <object-name>btnL0</object-name>
    <object-name>btnL1</object-name>
    <object-name>btnL2</object-name>
    <object-name>btnL3</object-name>
    <object-name>btnL4</object-name>
    <object-name>btnL5</object-name>
    <object-name>btnR0</object-name>
    <object-name>btnR1</object-name>
    <object-name>btnR2</object-name>
    <object-name>btnR3</object-name>
    <object-name>btnR4</object-name>
    <object-name>btnR5</object-name>
    <object-name>btnR6</object-name>
    <object-name>ModeMap</object-name>
    <object-name>ZoomMoins</object-name>
    <object-name>ZoomPlus</object-name>
    <object-name>vitre</object-name>
  </animation>

  <!-- working for Compositor -->
  <effect>
    <inherits-from>../../../../Effects/Glass/glass</inherits-from>
    <object-name>vitre</object-name>
  </effect>

  <animation>
    <type>material</type>
    <object-name>canvasCadre</object-name>
    <object-name>btnL0</object-name>
    <object-name>btnL1</object-name>
    <object-name>btnL2</object-name>
    <object-name>btnL3</object-name>
    <object-name>btnL4</object-name>
    <object-name>btnL5</object-name>
    <object-name>btnR0</object-name>
    <object-name>btnR1</object-name>
    <object-name>btnR2</object-name>
    <object-name>btnR3</object-name>
    <object-name>btnR4</object-name>
    <object-name>btnR5</object-name>
    <object-name>btnR6</object-name>
    <condition>
      <property>/controls/electric/battery-switch</property>
    </condition>
    <emission>
      <factor-prop>controls/lighting/instruments-norm</factor-prop>
      <red>   0.50 </red>
      <green> 0.40 </green>
      <blue>  0.30 </blue>
    </emission>
  </animation>

  <animation>
    <type>pick</type>
    <object-name>ZoomPlus</object-name>
    <action>
      <button>0</button>
      <repeatable>false</repeatable>
      <binding>
        <command>nasal</command>
        <script>gps.changeZoom(1);</script>
      </binding>
    </action>
  </animation>

  <animation>
    <type>pick</type>
    <object-name>ZoomMoins</object-name>
    <action>
      <button>0</button>
      <repeatable>false</repeatable>
      <binding>
        <command>nasal</command>
        <script>gps.changeZoom(-1);</script>
      </binding>
    </action>
  </animation>

  <animation>
    <type>pick</type>
    <object-name>ModeMap</object-name>
    <action>
      <button>0</button>
      <repeatable>false</repeatable>
      <binding>
        <command>nasal</command>
        <script>gps.changeType();</script>
      </binding>
    </action>
  </animation>

  <animation>
    <type>pick</type>
    <object-name>btnR5</object-name>
    <action>
      <button>1</button>
      <repeatable>false</repeatable>
      <binding>
        <command>property-assign</command>
        <property>/instrumentation/GPSMap/eletric</property>
        <value>1</value>
      </binding>
    </action>
  </animation>

  <animation>
    <type>pick</type>
    <object-name>btnR5</object-name>
    <action>
      <button>0</button>
      <repeatable>false</repeatable>
      <binding>
        <command>property-assign</command>
        <property>/instrumentation/GPSMap/eletric</property>
        <value>0</value>
      </binding>
    </action>
  </animation>

</PropertyList>
